QGIS Application - Feature request #2739
patch to scale label buffers and offsets for printing
2010-05-20 08:30 AM - Marco Hugentobler

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12799
Description

The following patch adds scaling of label buffers and offsets for printing. Additionally, the font is requested in a larger size and the painter
is downscaled to have a better font appearance when printing (to avoid the so-called Qi font scale bug). Finally, the buffer size is
considered in the label size calculation.

Martin, could you review this patch (just to avoid I'm breaking something in the new labeling engine)? But no hurry, | know you are very
busy these days.

Marco

History

#1 - 2010-05-21 06:02 AM - Marco Hugentobler

new patch version does not use 1mm margin and does not consider buffer size for curved line labels (gives better prints for curved labels compared to first
patch)

#2 - 2010-05-29 04:03 PM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed

Applied in commit:b1db818a (SVN r13600).

I've simplified the calculations of positions as it was starting to be hairy. | think the buffer size shouldn't be considered for the labels as it complicates things
and actually it might be desirable to allow the buffers of neighboring labels to coalesce. But we could add a "margin" property, which would allow the user to
set properly the minimum distance from other labels.

Files
100520_labelpatch.diff 8.13 KB 2010-05-20 Marco Hugentobler
100521_labelpatch.diff 8.78 KB 2010-05-21 Marco Hugentobler
